import PropTypes from 'prop-types';
import React from 'react';
import cx from 'classnames';
var TITLE_ALIGN_CLASSNAMES = {
  left: 'sui-TitleBasic--alignLeft',
  center: 'sui-TitleBasic--alignCenter',
  right: 'sui-TitleBasic--alignRight'
};
export default function TitleBasic(_ref) {
  var _ref$align = _ref.align,
      align = _ref$align === void 0 ? 'center' : _ref$align,
      className = _ref.className,
      subtitle = _ref.subtitle,
      title = _ref.title;
  var titleBasicClassName = cx('sui-TitleBasic', className, TITLE_ALIGN_CLASSNAMES[align]);
  return React.createElement("div", {
    className: titleBasicClassName
  }, React.createElement("h1", {
    className: "sui-TitleBasic-title"
  }, title), subtitle && React.createElement("h2", {
    className: "sui-TitleBasic-subtitle"
  }, subtitle));
}
TitleBasic.displayName = 'TitleBasic';